# List features

| **Description** | List all features of a vector timestamp.                     |
| --------------- | ------------------------------------------------------------ |
| **Endpoint**    | `/path/{pathId}/vector/timestamp/{timestampId}/listFeatures` |
| **Method**      | GET                                                          |

### Access Level Rules

| **Access Level** | view |
| ---------------- | ---- |

### Processing Units

| **Processing units** | 5 |
| -------------------- | - |

### Parameters

<table><thead><tr><th width="209">Name</th><th>Description</th><th>Required</th><th>Default</th></tr></thead><tbody><tr><td><code>pathId</code></td><td>The id of the vector layer.</td><td>true</td><td></td></tr><tr><td><code>timestampId</code></td><td>The id of the timestamp to get features for.</td><td>true</td><td></td></tr><tr><td><code>returnType</code></td><td>The type of information to return. Must be one of "id", "count", "geometry", "center", "properties" or "all".</td><td>false</td><td>Default "all".</td></tr><tr><td><code>pageStart</code></td><td>The feature id to use as the starting point to return results of.</td><td>false</td><td>Default null.</td></tr><tr><td><code>pageSize</code></td><td>The maximum number of features to return. Maximum 3000.</td><td>false</td><td>Default 3000.</td></tr><tr><td><code>maxSize</code></td><td>The maximum size of data in MB to return. The size of the returned data is an estimation and may differ from the actual returned size. Maximum 8 MB.</td><td>false</td><td>Default 8 MB.</td></tr><tr><td><code>style</code></td><td>Either a style id or an object describing the desired style. <br>You can find allowed style objects here:<br><a href="https://docs.ellipsis-drive.com/developers/api-v3/path-vector/styles/add-style">https://docs.ellipsis-drive.com/developers/api-v3/path-vector/styles/add-style</a></td><td>true</td><td></td></tr><tr><td><code>zipTheResponse</code></td><td>Boolean whether the result should be zipped during transfer.</td><td>false</td><td>Default false.</td></tr><tr><td><code>applyStyle</code></td><td>Boolean indicating whether to style the features or leave the styling to the client.</td><td>false</td><td>Default true</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ellipsis-drive.com/developers/api-v3/path-vector/timestamps/list-features.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
